Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/libtorrent-rasterbar: new aport

From: AmatCoder <amatcoder_at_gmail.com>
Date: Thu, 11 Dec 2014 09:37:21 +0000

---
 testing/libtorrent-rasterbar/APKBUILD | 48 +++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/libtorrent-rasterbar/APKBUILD
diff --git a/testing/libtorrent-rasterbar/APKBUILD b/testing/libtorrent-rasterbar/APKBUILD
new file mode 100644
index 0000000..43e5768
--- /dev/null
+++ b/testing/libtorrent-rasterbar/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: August Klein <amatcoder_at_gmail.com>
+# Maintainer: August Klein <amatcoder_at_gmail.com>
+pkgname=libtorrent-rasterbar
+pkgver=0.16.19
+pkgrel=0
+pkgdesc="A feature complete C++ bittorrent implementation"
+url="http://www.rasterbar.com/products/libtorrent"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="boost-dev geoip-dev openssl-dev python-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/sourceforge/libtorrent/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--enable-python-binding \
+		--with-libgeoip=system \
+		--with-boost-system=boost_system || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="38ed42c14dbbc4fb299828b2cb7ec1fd  libtorrent-rasterbar-0.16.19.tar.gz"
+sha256sums="9ebd3fa8accfa27d0c81cdbbe15d7b411ea1deec34ac6325dec7197f05d82982  libtorrent-rasterbar-0.16.19.tar.gz"
+sha512sums="8e605802cb1ae80228d253adba44da6f5af39e7d65c59f65e15444ed1122500529ee068f6d3608b1c2a249f18b4de695073f7b67772fa445618757697d779340  libtorrent-rasterbar-0.16.19.tar.gz"
-- 
2.2.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Dec 11 2014 - 09:37:21 GMT